[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.SetCaretPos

Moves the Caret to the specified coordinates.

## Declaration

Source position: winapih.inc line 242

`public function TWidgetSet.SetCaretPos(`
`X: Integer;`
`Y: Integer`
`):Boolean; virtual;`

## Arguments

`X` |  | The new caret position.
`Y` |  | The new caret position.

## Function result

False on failure.

## See also

TWidgetSet.CreateCaret |  | Creates a new shape for the system caret and assigns ownership of the caret to the specified window.